{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.CalendarWeekRule where

import NET
import qualified System.IO.Unsafe
import qualified NET.System.Type
import qualified NET.System.Enum

type CalendarWeekRule a = Int

data CalendarWeekRuleTy
 = FirstDay
 | FirstFullWeek
 | FirstFourDayWeek
  deriving ( Enum, Show, Read )
toCalendarWeekRule :: CalendarWeekRuleTy -> CalendarWeekRule ()
toCalendarWeekRule tag = fromEnum tag

fromCalendarWeekRule :: CalendarWeekRule () -> CalendarWeekRuleTy
fromCalendarWeekRule obj = toEnum obj

