{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.NumberFormatInfo where

import NET
import qualified NET.System.Object
import qualified NET.System.Array
import qualified NET.System.Globalization.DigitShapes
import qualified NET.System.Type
import qualified NET.System.IFormatProvider

data NumberFormatInfo_ a
type NumberFormatInfo a = NET.System.Object.Object (NumberFormatInfo_ a)

get_InvariantInfo :: IO (NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a0)
get_InvariantInfo = invokeStatic "System.Globalization.NumberFormatInfo" "get_InvariantInfo" () 

clone :: NumberFormatInfo obj -> IO (NET.System.Object.Object a0)
clone = invoke "Clone" () 

get_CurrencyDecimalDigits :: NumberFormatInfo obj -> IO (Int)
get_CurrencyDecimalDigits = invoke "get_CurrencyDecimalDigits" () 

set_CurrencyDecimalDigits :: Int -> NumberFormatInfo obj -> IO (())
set_CurrencyDecimalDigits arg0 = invoke "set_CurrencyDecimalDigits" (arg0)

get_CurrencyDecimalSeparator :: NumberFormatInfo obj -> IO (String)
get_CurrencyDecimalSeparator = invoke "get_CurrencyDecimalSeparator" () 

set_CurrencyDecimalSeparator :: String -> NumberFormatInfo obj -> IO (())
set_CurrencyDecimalSeparator arg0 = invoke "set_CurrencyDecimalSeparator" (arg0)

get_IsReadOnly :: NumberFormatInfo obj -> IO (Bool)
get_IsReadOnly = invoke "get_IsReadOnly" () 

get_CurrencyGroupSizes :: NumberFormatInfo obj -> IO (NET.System.Array.Array (Int))
get_CurrencyGroupSizes = invoke "get_CurrencyGroupSizes" () 

set_CurrencyGroupSizes :: NET.System.Array.Array (Int) -> NumberFormatInfo obj -> IO (())
set_CurrencyGroupSizes arg0 = invoke "set_CurrencyGroupSizes" (arg0)

get_NumberGroupSizes :: NumberFormatInfo obj -> IO (NET.System.Array.Array (Int))
get_NumberGroupSizes = invoke "get_NumberGroupSizes" () 

set_NumberGroupSizes :: NET.System.Array.Array (Int) -> NumberFormatInfo obj -> IO (())
set_NumberGroupSizes arg0 = invoke "set_NumberGroupSizes" (arg0)

get_PercentGroupSizes :: NumberFormatInfo obj -> IO (NET.System.Array.Array (Int))
get_PercentGroupSizes = invoke "get_PercentGroupSizes" () 

set_PercentGroupSizes :: NET.System.Array.Array (Int) -> NumberFormatInfo obj -> IO (())
set_PercentGroupSizes arg0 = invoke "set_PercentGroupSizes" (arg0)

get_CurrencyGroupSeparator :: NumberFormatInfo obj -> IO (String)
get_CurrencyGroupSeparator = invoke "get_CurrencyGroupSeparator" () 

set_CurrencyGroupSeparator :: String -> NumberFormatInfo obj -> IO (())
set_CurrencyGroupSeparator arg0 = invoke "set_CurrencyGroupSeparator" (arg0)

get_CurrencySymbol :: NumberFormatInfo obj -> IO (String)
get_CurrencySymbol = invoke "get_CurrencySymbol" () 

set_CurrencySymbol :: String -> NumberFormatInfo obj -> IO (())
set_CurrencySymbol arg0 = invoke "set_CurrencySymbol" (arg0)

get_NaNSymbol :: NumberFormatInfo obj -> IO (String)
get_NaNSymbol = invoke "get_NaNSymbol" () 

set_NaNSymbol :: String -> NumberFormatInfo obj -> IO (())
set_NaNSymbol arg0 = invoke "set_NaNSymbol" (arg0)

get_CurrencyNegativePattern :: NumberFormatInfo obj -> IO (Int)
get_CurrencyNegativePattern = invoke "get_CurrencyNegativePattern" () 

set_CurrencyNegativePattern :: Int -> NumberFormatInfo obj -> IO (())
set_CurrencyNegativePattern arg0 = invoke "set_CurrencyNegativePattern" (arg0)

get_NumberNegativePattern :: NumberFormatInfo obj -> IO (Int)
get_NumberNegativePattern = invoke "get_NumberNegativePattern" () 

set_NumberNegativePattern :: Int -> NumberFormatInfo obj -> IO (())
set_NumberNegativePattern arg0 = invoke "set_NumberNegativePattern" (arg0)

get_PercentPositivePattern :: NumberFormatInfo obj -> IO (Int)
get_PercentPositivePattern = invoke "get_PercentPositivePattern" () 

set_PercentPositivePattern :: Int -> NumberFormatInfo obj -> IO (())
set_PercentPositivePattern arg0 = invoke "set_PercentPositivePattern" (arg0)

get_PercentNegativePattern :: NumberFormatInfo obj -> IO (Int)
get_PercentNegativePattern = invoke "get_PercentNegativePattern" () 

set_PercentNegativePattern :: Int -> NumberFormatInfo obj -> IO (())
set_PercentNegativePattern arg0 = invoke "set_PercentNegativePattern" (arg0)

get_NegativeInfinitySymbol :: NumberFormatInfo obj -> IO (String)
get_NegativeInfinitySymbol = invoke "get_NegativeInfinitySymbol" () 

set_NegativeInfinitySymbol :: String -> NumberFormatInfo obj -> IO (())
set_NegativeInfinitySymbol arg0 = invoke "set_NegativeInfinitySymbol" (arg0)

get_NegativeSign :: NumberFormatInfo obj -> IO (String)
get_NegativeSign = invoke "get_NegativeSign" () 

set_NegativeSign :: String -> NumberFormatInfo obj -> IO (())
set_NegativeSign arg0 = invoke "set_NegativeSign" (arg0)

get_NumberDecimalDigits :: NumberFormatInfo obj -> IO (Int)
get_NumberDecimalDigits = invoke "get_NumberDecimalDigits" () 

set_NumberDecimalDigits :: Int -> NumberFormatInfo obj -> IO (())
set_NumberDecimalDigits arg0 = invoke "set_NumberDecimalDigits" (arg0)

get_NumberDecimalSeparator :: NumberFormatInfo obj -> IO (String)
get_NumberDecimalSeparator = invoke "get_NumberDecimalSeparator" () 

set_NumberDecimalSeparator :: String -> NumberFormatInfo obj -> IO (())
set_NumberDecimalSeparator arg0 = invoke "set_NumberDecimalSeparator" (arg0)

get_NumberGroupSeparator :: NumberFormatInfo obj -> IO (String)
get_NumberGroupSeparator = invoke "get_NumberGroupSeparator" () 

set_NumberGroupSeparator :: String -> NumberFormatInfo obj -> IO (())
set_NumberGroupSeparator arg0 = invoke "set_NumberGroupSeparator" (arg0)

get_CurrencyPositivePattern :: NumberFormatInfo obj -> IO (Int)
get_CurrencyPositivePattern = invoke "get_CurrencyPositivePattern" () 

set_CurrencyPositivePattern :: Int -> NumberFormatInfo obj -> IO (())
set_CurrencyPositivePattern arg0 = invoke "set_CurrencyPositivePattern" (arg0)

get_PositiveInfinitySymbol :: NumberFormatInfo obj -> IO (String)
get_PositiveInfinitySymbol = invoke "get_PositiveInfinitySymbol" () 

set_PositiveInfinitySymbol :: String -> NumberFormatInfo obj -> IO (())
set_PositiveInfinitySymbol arg0 = invoke "set_PositiveInfinitySymbol" (arg0)

get_PositiveSign :: NumberFormatInfo obj -> IO (String)
get_PositiveSign = invoke "get_PositiveSign" () 

set_PositiveSign :: String -> NumberFormatInfo obj -> IO (())
set_PositiveSign arg0 = invoke "set_PositiveSign" (arg0)

get_PercentDecimalDigits :: NumberFormatInfo obj -> IO (Int)
get_PercentDecimalDigits = invoke "get_PercentDecimalDigits" () 

set_PercentDecimalDigits :: Int -> NumberFormatInfo obj -> IO (())
set_PercentDecimalDigits arg0 = invoke "set_PercentDecimalDigits" (arg0)

get_PercentDecimalSeparator :: NumberFormatInfo obj -> IO (String)
get_PercentDecimalSeparator = invoke "get_PercentDecimalSeparator" () 

set_PercentDecimalSeparator :: String -> NumberFormatInfo obj -> IO (())
set_PercentDecimalSeparator arg0 = invoke "set_PercentDecimalSeparator" (arg0)

get_PercentGroupSeparator :: NumberFormatInfo obj -> IO (String)
get_PercentGroupSeparator = invoke "get_PercentGroupSeparator" () 

set_PercentGroupSeparator :: String -> NumberFormatInfo obj -> IO (())
set_PercentGroupSeparator arg0 = invoke "set_PercentGroupSeparator" (arg0)

get_PercentSymbol :: NumberFormatInfo obj -> IO (String)
get_PercentSymbol = invoke "get_PercentSymbol" () 

set_PercentSymbol :: String -> NumberFormatInfo obj -> IO (())
set_PercentSymbol arg0 = invoke "set_PercentSymbol" (arg0)

get_PerMilleSymbol :: NumberFormatInfo obj -> IO (String)
get_PerMilleSymbol = invoke "get_PerMilleSymbol" () 

set_PerMilleSymbol :: String -> NumberFormatInfo obj -> IO (())
set_PerMilleSymbol arg0 = invoke "set_PerMilleSymbol" (arg0)

get_NativeDigits :: NumberFormatInfo obj -> IO (NET.System.Array.Array (String))
get_NativeDigits = invoke "get_NativeDigits" () 

set_NativeDigits :: NET.System.Array.Array (String) -> NumberFormatInfo obj -> IO (())
set_NativeDigits arg0 = invoke "set_NativeDigits" (arg0)

get_DigitSubstitution :: NumberFormatInfo obj -> IO (NET.System.Globalization.DigitShapes.DigitShapes a0)
get_DigitSubstitution = invoke "get_DigitSubstitution" () 

set_DigitSubstitution :: NET.System.Globalization.DigitShapes.DigitShapes a0 -> NumberFormatInfo obj -> IO (())
set_DigitSubstitution arg0 = invoke "set_DigitSubstitution" (arg0)

getFormat :: NET.System.Type.Type a0 -> NumberFormatInfo obj -> IO (NET.System.Object.Object a1)
getFormat arg0 = invoke "GetFormat" (arg0)

readOnly :: NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a0 -> IO (NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a1)
readOnly arg0 = invokeStatic "System.Globalization.NumberFormatInfo" "ReadOnly" (arg0)

getInstance :: NET.System.IFormatProvider.IFormatProvider a0 -> IO (NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a1)
getInstance arg0 = invokeStatic "System.Globalization.NumberFormatInfo" "GetInstance" (arg0)

get_CurrentInfo :: IO (NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a0)
get_CurrentInfo = invokeStatic "System.Globalization.NumberFormatInfo" "get_CurrentInfo" () 


