module NET.System.Object 
	(module NET.System.Object, 
         module NET.System.ObjectTy
	 ) where

import qualified NET.Base as NET ( Object )
import NET hiding ( Object )
import NET.System.TypeTy
import NET.System.ObjectTy
import NET.System.StringTy

equals :: Object a -> Object b -> IO Bool
equals = invoke "Equals"

getHashCode :: Object a -> IO Int
getHashCode = invoke "GetHashCode" ()

getType :: Object a -> IO (Type ())
getType = invoke "GetType" ()

memberwiseClone :: Object a -> IO (Type a)
memberwiseClone = invoke "MemberwiseClone" ()

referenceEquals :: Object a -> Object b -> IO Bool
referenceEquals = invoke "ReferenceEquals"

toString :: Object a -> IO String
toString = invoke "ToString" ()
