{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.TimeSpan where

import NET
import qualified Data.Int
import qualified NET.System.Object
--import qualified NET.System.TimeSpan&
import qualified NET.System.ValueType

data TimeSpan_ a
type TimeSpan a = NET.System.ValueType.ValueType (TimeSpan_ a)

get_Ticks :: TimeSpan obj -> IO (Data.Int.Int64)
get_Ticks = invoke "get_Ticks" () 

get_Days :: TimeSpan obj -> IO (Int)
get_Days = invoke "get_Days" () 

get_Hours :: TimeSpan obj -> IO (Int)
get_Hours = invoke "get_Hours" () 

get_Milliseconds :: TimeSpan obj -> IO (Int)
get_Milliseconds = invoke "get_Milliseconds" () 

get_Minutes :: TimeSpan obj -> IO (Int)
get_Minutes = invoke "get_Minutes" () 

get_Seconds :: TimeSpan obj -> IO (Int)
get_Seconds = invoke "get_Seconds" () 

get_TotalDays :: TimeSpan obj -> IO (Double)
get_TotalDays = invoke "get_TotalDays" () 

get_TotalHours :: TimeSpan obj -> IO (Double)
get_TotalHours = invoke "get_TotalHours" () 

get_TotalMilliseconds :: TimeSpan obj -> IO (Double)
get_TotalMilliseconds = invoke "get_TotalMilliseconds" () 

get_TotalMinutes :: TimeSpan obj -> IO (Double)
get_TotalMinutes = invoke "get_TotalMinutes" () 

get_TotalSeconds :: TimeSpan obj -> IO (Double)
get_TotalSeconds = invoke "get_TotalSeconds" () 

add :: NET.System.TimeSpan.TimeSpan a0 -> TimeSpan obj -> IO (NET.System.TimeSpan.TimeSpan a1)
add arg0 = invoke "Add" (arg0)

compare :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Int)
compare arg0 arg1 = invokeStatic "System.TimeSpan" "Compare" (arg0, arg1)

compareTo :: NET.System.Object.Object a0 -> TimeSpan obj -> IO (Int)
compareTo arg0 = invoke "CompareTo" (arg0)

compareTo_1 :: NET.System.TimeSpan.TimeSpan a0 -> TimeSpan obj -> IO (Int)
compareTo_1 arg0 = invoke "CompareTo" (arg0)

fromDays :: Double -> IO (NET.System.TimeSpan.TimeSpan a1)
fromDays arg0 = invokeStatic "System.TimeSpan" "FromDays" (arg0)

duration :: TimeSpan obj -> IO (NET.System.TimeSpan.TimeSpan a0)
duration = invoke "Duration" () 

equals :: NET.System.Object.Object a0 -> TimeSpan obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

equals_1 :: NET.System.TimeSpan.TimeSpan a0 -> TimeSpan obj -> IO (Bool)
equals_1 arg0 = invoke "Equals" (arg0)

equals_2 :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
equals_2 arg0 arg1 = invokeStatic "System.TimeSpan" "Equals" (arg0, arg1)

getHashCode :: TimeSpan obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

fromHours :: Double -> IO (NET.System.TimeSpan.TimeSpan a1)
fromHours arg0 = invokeStatic "System.TimeSpan" "FromHours" (arg0)

fromMilliseconds :: Double -> IO (NET.System.TimeSpan.TimeSpan a1)
fromMilliseconds arg0 = invokeStatic "System.TimeSpan" "FromMilliseconds" (arg0)

fromMinutes :: Double -> IO (NET.System.TimeSpan.TimeSpan a1)
fromMinutes arg0 = invokeStatic "System.TimeSpan" "FromMinutes" (arg0)

negate :: TimeSpan obj -> IO (NET.System.TimeSpan.TimeSpan a0)
negate = invoke "Negate" () 

parse :: String -> IO (NET.System.TimeSpan.TimeSpan a1)
parse arg0 = invokeStatic "System.TimeSpan" "Parse" (arg0)

--tryParse :: String -> NET.System.TimeSpan&.TimeSpan& a1 -> IO (Bool)
--tryParse arg0 arg1 = invokeStatic "System.TimeSpan" "TryParse" (arg0, arg1)

fromSeconds :: Double -> IO (NET.System.TimeSpan.TimeSpan a1)
fromSeconds arg0 = invokeStatic "System.TimeSpan" "FromSeconds" (arg0)

subtract :: NET.System.TimeSpan.TimeSpan a0 -> TimeSpan obj -> IO (NET.System.TimeSpan.TimeSpan a1)
subtract arg0 = invoke "Subtract" (arg0)

fromTicks :: Data.Int.Int64 -> IO (NET.System.TimeSpan.TimeSpan a1)
fromTicks arg0 = invokeStatic "System.TimeSpan" "FromTicks" (arg0)

toString :: TimeSpan obj -> IO (String)
toString = invoke "ToString" () 

op_UnaryNegation :: NET.System.TimeSpan.TimeSpan a0 -> IO (NET.System.TimeSpan.TimeSpan a1)
op_UnaryNegation arg0 = invokeStatic "System.TimeSpan" "op_UnaryNegation" (arg0)

op_Subtraction :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (NET.System.TimeSpan.TimeSpan a2)
op_Subtraction arg0 arg1 = invokeStatic "System.TimeSpan" "op_Subtraction" (arg0, arg1)

op_UnaryPlus :: NET.System.TimeSpan.TimeSpan a0 -> IO (NET.System.TimeSpan.TimeSpan a1)
op_UnaryPlus arg0 = invokeStatic "System.TimeSpan" "op_UnaryPlus" (arg0)

op_Addition :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (NET.System.TimeSpan.TimeSpan a2)
op_Addition arg0 arg1 = invokeStatic "System.TimeSpan" "op_Addition" (arg0, arg1)

op_Equality :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_Equality arg0 arg1 = invokeStatic "System.TimeSpan" "op_Equality" (arg0, arg1)

op_Inequality :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_Inequality arg0 arg1 = invokeStatic "System.TimeSpan" "op_Inequality" (arg0, arg1)

op_LessThan :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_LessThan arg0 arg1 = invokeStatic "System.TimeSpan" "op_LessThan" (arg0, arg1)

op_LessThanOrEqual :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_LessThanOrEqual arg0 arg1 = invokeStatic "System.TimeSpan" "op_LessThanOrEqual" (arg0, arg1)

op_GreaterThan :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_GreaterThan arg0 arg1 = invokeStatic "System.TimeSpan" "op_GreaterThan" (arg0, arg1)

op_GreaterThanOrEqual :: NET.System.TimeSpan.TimeSpan a0 -> NET.System.TimeSpan.TimeSpan a1 -> IO (Bool)
op_GreaterThanOrEqual arg0 arg1 = invokeStatic "System.TimeSpan" "op_GreaterThanOrEqual" (arg0, arg1)

get_Zero :: IO (NET.System.TimeSpan.TimeSpan a0)
get_Zero = getFieldStatic "System.TimeSpan" "Zero" ()
get_MaxValue :: IO (NET.System.TimeSpan.TimeSpan a0)
get_MaxValue = getFieldStatic "System.TimeSpan" "MaxValue" ()
get_MinValue :: IO (NET.System.TimeSpan.TimeSpan a0)
get_MinValue = getFieldStatic "System.TimeSpan" "MinValue" ()
get_TicksPerMillisecond :: IO (Data.Int.Int64)
get_TicksPerMillisecond = getFieldStatic "System.TimeSpan" "TicksPerMillisecond" ()
set_TicksPerMillisecond :: Data.Int.Int64 -> IO ()
set_TicksPerMillisecond = setFieldStatic "System.TimeSpan" "TicksPerMillisecond"
get_TicksPerSecond :: IO (Data.Int.Int64)
get_TicksPerSecond = getFieldStatic "System.TimeSpan" "TicksPerSecond" ()
set_TicksPerSecond :: Data.Int.Int64 -> IO ()
set_TicksPerSecond = setFieldStatic "System.TimeSpan" "TicksPerSecond"
get_TicksPerMinute :: IO (Data.Int.Int64)
get_TicksPerMinute = getFieldStatic "System.TimeSpan" "TicksPerMinute" ()
set_TicksPerMinute :: Data.Int.Int64 -> IO ()
set_TicksPerMinute = setFieldStatic "System.TimeSpan" "TicksPerMinute"
get_TicksPerHour :: IO (Data.Int.Int64)
get_TicksPerHour = getFieldStatic "System.TimeSpan" "TicksPerHour" ()
set_TicksPerHour :: Data.Int.Int64 -> IO ()
set_TicksPerHour = setFieldStatic "System.TimeSpan" "TicksPerHour"
get_TicksPerDay :: IO (Data.Int.Int64)
get_TicksPerDay = getFieldStatic "System.TimeSpan" "TicksPerDay" ()
set_TicksPerDay :: Data.Int.Int64 -> IO ()
set_TicksPerDay = setFieldStatic "System.TimeSpan" "TicksPerDay"

