{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.UriKind where

import NET
import qualified System.IO.Unsafe
import qualified NET.System.Type
import qualified NET.System.Enum

data UriKind_ a
type UriKind a = NET.System.Enum.Enum (UriKind_ a)

data UriKindTy
 = RelativeOrAbsolute
 | Absolute
 | Relative
  deriving ( Enum, Show, Read )
toUriKind :: UriKindTy -> UriKind ()
toUriKind tag = System.IO.Unsafe.unsafePerformIO (NET.System.Enum.parse (System.IO.Unsafe.unsafePerformIO (NET.System.Type.getType "System.UriKind, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")) (show tag))

fromUriKind :: UriKind () -> UriKindTy
fromUriKind obj = read (show obj)

