--
-- Basic example of calling a static method
--
module Env where

import NET

getEnv :: String -> IO String
getEnv v = invokeStatic "System.Environment" "GetEnvironmentVariable" v

test :: IO ()
test = do
  let var = "OS"
  s <- getEnv var
  putStrLn (var ++ " = " ++ s)
