{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Enum (module NET.System.Enum) where

import NET
import qualified NET.System.TypeTy as NET.System.Type
import qualified NET.System.Object
import qualified NET.System.Array
import qualified NET.System.IFormatProvider
import qualified NET.System.TypeCodeTy as NET.System.TypeCode
import qualified Data.Int
import qualified Data.Word
import qualified NET.System.ValueType

import NET.System.EnumTy as NET.System.Enum

parse :: NET.System.Type.Type a0 -> String -> IO (NET.System.Object.Object a2)
parse arg0 arg1 = invokeStatic "System.Enum" "Parse" (arg0, arg1)

parse_1 :: NET.System.Type.Type a0 -> String -> Bool -> IO (NET.System.Object.Object a3)
parse_1 arg0 arg1 arg2 = invokeStatic "System.Enum" "Parse" (arg0, arg1, arg2)

getUnderlyingType :: NET.System.Type.Type a0 -> IO (NET.System.Type.Type a1)
getUnderlyingType arg0 = invokeStatic "System.Enum" "GetUnderlyingType" (arg0)

getValues :: NET.System.Type.Type a0 -> IO (NET.System.Array.Array a1)
getValues arg0 = invokeStatic "System.Enum" "GetValues" (arg0)

getName :: NET.System.Type.Type a0 -> NET.System.Object.Object a1 -> IO (String)
getName arg0 arg1 = invokeStatic "System.Enum" "GetName" (arg0, arg1)

getNames :: NET.System.Type.Type a0 -> IO (NET.System.Array.Array (String))
getNames arg0 = invokeStatic "System.Enum" "GetNames" (arg0)

toObject :: NET.System.Type.Type a0 -> NET.System.Object.Object a1 -> IO (NET.System.Object.Object a2)
toObject arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

isDefined :: NET.System.Type.Type a0 -> NET.System.Object.Object a1 -> IO (Bool)
isDefined arg0 arg1 = invokeStatic "System.Enum" "IsDefined" (arg0, arg1)

format :: NET.System.Type.Type a0 -> NET.System.Object.Object a1 -> String -> IO (String)
format arg0 arg1 arg2 = invokeStatic "System.Enum" "Format" (arg0, arg1, arg2)

equals :: NET.System.Object.Object a0 -> NET.System.Enum.Enum obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: NET.System.Enum.Enum obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: NET.System.Enum.Enum obj -> IO (String)
toString = invoke "ToString" () 

toString_1 :: String -> NET.System.IFormatProvider.IFormatProvider a1 -> NET.System.Enum.Enum obj -> IO (String)
toString_1 arg0 arg1 = invoke "ToString" (arg0, arg1)

compareTo :: NET.System.Object.Object a0 -> NET.System.Enum.Enum obj -> IO (Int)
compareTo arg0 = invoke "CompareTo" (arg0)

toString_2 :: String -> NET.System.Enum.Enum obj -> IO (String)
toString_2 arg0 = invoke "ToString" (arg0)

toString_3 :: NET.System.IFormatProvider.IFormatProvider a0 -> NET.System.Enum.Enum obj -> IO (String)
toString_3 arg0 = invoke "ToString" (arg0)

getTypeCode :: NET.System.Enum.Enum obj -> IO (NET.System.TypeCode.TypeCode a0)
getTypeCode = invoke "GetTypeCode" () 

toObject_1 :: NET.System.Type.Type a0 -> Data.Int.Int8 -> IO (NET.System.Object.Object a2)
toObject_1 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_2 :: NET.System.Type.Type a0 -> Data.Int.Int16 -> IO (NET.System.Object.Object a2)
toObject_2 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_3 :: NET.System.Type.Type a0 -> Int -> IO (NET.System.Object.Object a2)
toObject_3 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_4 :: NET.System.Type.Type a0 -> Data.Word.Word8 -> IO (NET.System.Object.Object a2)
toObject_4 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_5 :: NET.System.Type.Type a0 -> Data.Word.Word16 -> IO (NET.System.Object.Object a2)
toObject_5 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_6 :: NET.System.Type.Type a0 -> Data.Word.Word32 -> IO (NET.System.Object.Object a2)
toObject_6 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_7 :: NET.System.Type.Type a0 -> Data.Int.Int64 -> IO (NET.System.Object.Object a2)
toObject_7 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)

toObject_8 :: NET.System.Type.Type a0 -> Data.Word.Word64 -> IO (NET.System.Object.Object a2)
toObject_8 arg0 arg1 = invokeStatic "System.Enum" "ToObject" (arg0, arg1)


