{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.CompareInfo where

import NET
--import qualified NET.System.Reflection.Assembly
--import qualified NET.System.Globalization.CompareOptions
import qualified NET.System.Globalization.SortKey
import qualified NET.System.Object

data CompareInfo_ a
type CompareInfo a = NET.System.Object.Object (CompareInfo_ a)

--getCompareInfo :: Int -> NET.System.Reflection.Assembly.Assembly a1 -> IO (NET.System.Globalization.CompareInfo.CompareInfo a2)
--getCompareInfo arg0 arg1 = invokeStatic "System.Globalization.CompareInfo" "GetCompareInfo" (arg0, arg1)

--getCompareInfo_1 :: String -> NET.System.Reflection.Assembly.Assembly a1 -> IO (NET.System.Globalization.CompareInfo.CompareInfo a2)
--getCompareInfo_1 arg0 arg1 = invokeStatic "System.Globalization.CompareInfo" "GetCompareInfo" (arg0, arg1)

getCompareInfo_2 :: Int -> IO (NET.System.Globalization.CompareInfo.CompareInfo a1)
getCompareInfo_2 arg0 = invokeStatic "System.Globalization.CompareInfo" "GetCompareInfo" (arg0)

getCompareInfo_3 :: String -> IO (NET.System.Globalization.CompareInfo.CompareInfo a1)
getCompareInfo_3 arg0 = invokeStatic "System.Globalization.CompareInfo" "GetCompareInfo" (arg0)

isSortable :: Char -> IO (Bool)
isSortable arg0 = invokeStatic "System.Globalization.CompareInfo" "IsSortable" (arg0)

isSortable_1 :: String -> IO (Bool)
isSortable_1 arg0 = invokeStatic "System.Globalization.CompareInfo" "IsSortable" (arg0)

get_Name :: CompareInfo obj -> IO (String)
get_Name = invoke "get_Name" () 

compare :: String -> String -> CompareInfo obj -> IO (Int)
compare arg0 arg1 = invoke "Compare" (arg0, arg1)

compare_1 :: String -> Int -> Int -> String -> Int -> Int -> CompareInfo obj -> IO (Int)
compare_1 arg0 arg1 arg2 arg3 arg4 arg5 = invoke "Compare" (arg0, arg1, arg2, arg3, arg4, arg5)

--compare_2 :: String -> Int -> String -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a4 -> CompareInfo obj -> IO (Int)
--compare_2 arg0 arg1 arg2 arg3 arg4 = invoke "Compare" (arg0, arg1, arg2, arg3, arg4)

compare_3 :: String -> Int -> String -> Int -> CompareInfo obj -> IO (Int)
compare_3 arg0 arg1 arg2 arg3 = invoke "Compare" (arg0, arg1, arg2, arg3)

isPrefix :: String -> String -> CompareInfo obj -> IO (Bool)
isPrefix arg0 arg1 = invoke "IsPrefix" (arg0, arg1)

isSuffix :: String -> String -> CompareInfo obj -> IO (Bool)
isSuffix arg0 arg1 = invoke "IsSuffix" (arg0, arg1)

indexOf :: String -> Char -> CompareInfo obj -> IO (Int)
indexOf arg0 arg1 = invoke "IndexOf" (arg0, arg1)

--indexOf_1 :: String -> Char -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Int)
--indexOf_1 arg0 arg1 arg2 = invoke "IndexOf" (arg0, arg1, arg2)

--indexOf_2 :: String -> String -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Int)
--indexOf_2 arg0 arg1 arg2 = invoke "IndexOf" (arg0, arg1, arg2)

indexOf_3 :: String -> Char -> Int -> CompareInfo obj -> IO (Int)
indexOf_3 arg0 arg1 arg2 = invoke "IndexOf" (arg0, arg1, arg2)

indexOf_4 :: String -> String -> Int -> CompareInfo obj -> IO (Int)
indexOf_4 arg0 arg1 arg2 = invoke "IndexOf" (arg0, arg1, arg2)

--indexOf_5 :: String -> Char -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a3 -> CompareInfo obj -> IO (Int)
--indexOf_5 arg0 arg1 arg2 arg3 = invoke "IndexOf" (arg0, arg1, arg2, arg3)

--indexOf_6 :: String -> String -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a3 -> CompareInfo obj -> IO (Int)
--indexOf_6 arg0 arg1 arg2 arg3 = invoke "IndexOf" (arg0, arg1, arg2, arg3)

indexOf_7 :: String -> Char -> Int -> Int -> CompareInfo obj -> IO (Int)
indexOf_7 arg0 arg1 arg2 arg3 = invoke "IndexOf" (arg0, arg1, arg2, arg3)

indexOf_8 :: String -> String -> Int -> Int -> CompareInfo obj -> IO (Int)
indexOf_8 arg0 arg1 arg2 arg3 = invoke "IndexOf" (arg0, arg1, arg2, arg3)

--indexOf_9 :: String -> Char -> Int -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a4 -> CompareInfo obj -> IO (Int)
--indexOf_9 arg0 arg1 arg2 arg3 arg4 = invoke "IndexOf" (arg0, arg1, arg2, arg3, arg4)

--indexOf_10 :: String -> String -> Int -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a4 -> CompareInfo obj -> IO (Int)
--indexOf_10 arg0 arg1 arg2 arg3 arg4 = invoke "IndexOf" (arg0, arg1, arg2, arg3, arg4)

lastIndexOf :: String -> Char -> CompareInfo obj -> IO (Int)
lastIndexOf arg0 arg1 = invoke "LastIndexOf" (arg0, arg1)

lastIndexOf_1 :: String -> String -> CompareInfo obj -> IO (Int)
lastIndexOf_1 arg0 arg1 = invoke "LastIndexOf" (arg0, arg1)

--lastIndexOf_2 :: String -> Char -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Int)
--lastIndexOf_2 arg0 arg1 arg2 = invoke "LastIndexOf" (arg0, arg1, arg2)

--lastIndexOf_3 :: String -> String -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Int)
--lastIndexOf_3 arg0 arg1 arg2 = invoke "LastIndexOf" (arg0, arg1, arg2)

lastIndexOf_4 :: String -> Char -> Int -> CompareInfo obj -> IO (Int)
lastIndexOf_4 arg0 arg1 arg2 = invoke "LastIndexOf" (arg0, arg1, arg2)

lastIndexOf_5 :: String -> String -> Int -> CompareInfo obj -> IO (Int)
lastIndexOf_5 arg0 arg1 arg2 = invoke "LastIndexOf" (arg0, arg1, arg2)

--lastIndexOf_6 :: String -> Char -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a3 -> CompareInfo obj -> IO (Int)
--lastIndexOf_6 arg0 arg1 arg2 arg3 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3)

--lastIndexOf_7 :: String -> String -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a3 -> CompareInfo obj -> IO (Int)
--lastIndexOf_7 arg0 arg1 arg2 arg3 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3)

lastIndexOf_8 :: String -> Char -> Int -> Int -> CompareInfo obj -> IO (Int)
lastIndexOf_8 arg0 arg1 arg2 arg3 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3)

lastIndexOf_9 :: String -> String -> Int -> Int -> CompareInfo obj -> IO (Int)
lastIndexOf_9 arg0 arg1 arg2 arg3 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3)

--lastIndexOf_10 :: String -> Char -> Int -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a4 -> CompareInfo obj -> IO (Int)
--lastIndexOf_10 arg0 arg1 arg2 arg3 arg4 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3, arg4)

--lastIndexOf_11 :: String -> String -> Int -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a4 -> CompareInfo obj -> IO (Int)
--lastIndexOf_11 arg0 arg1 arg2 arg3 arg4 = invoke "LastIndexOf" (arg0, arg1, arg2, arg3, arg4)

--getSortKey :: String -> NET.System.Globalization.CompareOptions.CompareOptions a1 -> CompareInfo obj -> IO (NET.System.Globalization.SortKey.SortKey a2)
--getSortKey arg0 arg1 = invoke "GetSortKey" (arg0, arg1)

getSortKey_1 :: String -> CompareInfo obj -> IO (NET.System.Globalization.SortKey.SortKey a1)
getSortKey_1 arg0 = invoke "GetSortKey" (arg0)

equals :: NET.System.Object.Object a0 -> CompareInfo obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: CompareInfo obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: CompareInfo obj -> IO (String)
toString = invoke "ToString" () 

get_LCID :: CompareInfo obj -> IO (Int)
get_LCID = invoke "get_LCID" () 

--compare_4 :: String -> String -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Int)
--compare_4 arg0 arg1 arg2 = invoke "Compare" (arg0, arg1, arg2)

--compare_5 :: String -> Int -> Int -> String -> Int -> Int -> NET.System.Globalization.CompareOptions.CompareOptions a6 -> CompareInfo obj -> IO (Int)
--compare_5 arg0 arg1 arg2 arg3 arg4 arg5 arg6 = invoke "Compare" (arg0, arg1, arg2, arg3, arg4, arg5, arg6)

--isPrefix_1 :: String -> String -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Bool)
--isPrefix_1 arg0 arg1 arg2 = invoke "IsPrefix" (arg0, arg1, arg2)

--isSuffix_1 :: String -> String -> NET.System.Globalization.CompareOptions.CompareOptions a2 -> CompareInfo obj -> IO (Bool)
--isSuffix_1 arg0 arg1 arg2 = invoke "IsSuffix" (arg0, arg1, arg2)

indexOf_11 :: String -> String -> CompareInfo obj -> IO (Int)
indexOf_11 arg0 arg1 = invoke "IndexOf" (arg0, arg1)


