{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.DateTimeFormatInfo where

import NET
import qualified NET.System.IFormatProvider
import qualified NET.System.Type
import qualified NET.System.Object
import qualified NET.System.Globalization.Calendar
import qualified NET.System.DayOfWeek
import qualified NET.System.Globalization.CalendarWeekRule
import qualified NET.System.Array

data DateTimeFormatInfo_ a
type DateTimeFormatInfo a = NET.System.Object.Object (DateTimeFormatInfo_ a)

get_InvariantInfo :: IO (NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a0)
get_InvariantInfo = invokeStatic "System.Globalization.DateTimeFormatInfo" "get_InvariantInfo" () 

getInstance :: NET.System.IFormatProvider.IFormatProvider a0 -> IO (NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a1)
getInstance arg0 = invokeStatic "System.Globalization.DateTimeFormatInfo" "GetInstance" (arg0)

getFormat :: NET.System.Type.Type a0 -> DateTimeFormatInfo obj -> IO (NET.System.Object.Object a1)
getFormat arg0 = invoke "GetFormat" (arg0)

clone :: DateTimeFormatInfo obj -> IO (NET.System.Object.Object a0)
clone = invoke "Clone" () 

get_AMDesignator :: DateTimeFormatInfo obj -> IO (String)
get_AMDesignator = invoke "get_AMDesignator" () 

set_AMDesignator :: String -> DateTimeFormatInfo obj -> IO (())
set_AMDesignator arg0 = invoke "set_AMDesignator" (arg0)

get_Calendar :: DateTimeFormatInfo obj -> IO (NET.System.Globalization.Calendar.Calendar a0)
get_Calendar = invoke "get_Calendar" () 

set_Calendar :: NET.System.Globalization.Calendar.Calendar a0 -> DateTimeFormatInfo obj -> IO (())
set_Calendar arg0 = invoke "set_Calendar" (arg0)

getEra :: String -> DateTimeFormatInfo obj -> IO (Int)
getEra arg0 = invoke "GetEra" (arg0)

getEraName :: Int -> DateTimeFormatInfo obj -> IO (String)
getEraName arg0 = invoke "GetEraName" (arg0)

getAbbreviatedEraName :: Int -> DateTimeFormatInfo obj -> IO (String)
getAbbreviatedEraName arg0 = invoke "GetAbbreviatedEraName" (arg0)

get_DateSeparator :: DateTimeFormatInfo obj -> IO (String)
get_DateSeparator = invoke "get_DateSeparator" () 

set_DateSeparator :: String -> DateTimeFormatInfo obj -> IO (())
set_DateSeparator arg0 = invoke "set_DateSeparator" (arg0)

get_FirstDayOfWeek :: DateTimeFormatInfo obj -> IO (NET.System.DayOfWeek.DayOfWeek a0)
get_FirstDayOfWeek = invoke "get_FirstDayOfWeek" () 

set_FirstDayOfWeek :: NET.System.DayOfWeek.DayOfWeek a0 -> DateTimeFormatInfo obj -> IO (())
set_FirstDayOfWeek arg0 = invoke "set_FirstDayOfWeek" (arg0)

get_CalendarWeekRule :: DateTimeFormatInfo obj -> IO (NET.System.Globalization.CalendarWeekRule.CalendarWeekRule a0)
get_CalendarWeekRule = invoke "get_CalendarWeekRule" () 

set_CalendarWeekRule :: NET.System.Globalization.CalendarWeekRule.CalendarWeekRule a0 -> DateTimeFormatInfo obj -> IO (())
set_CalendarWeekRule arg0 = invoke "set_CalendarWeekRule" (arg0)

get_FullDateTimePattern :: DateTimeFormatInfo obj -> IO (String)
get_FullDateTimePattern = invoke "get_FullDateTimePattern" () 

set_FullDateTimePattern :: String -> DateTimeFormatInfo obj -> IO (())
set_FullDateTimePattern arg0 = invoke "set_FullDateTimePattern" (arg0)

get_LongDatePattern :: DateTimeFormatInfo obj -> IO (String)
get_LongDatePattern = invoke "get_LongDatePattern" () 

set_LongDatePattern :: String -> DateTimeFormatInfo obj -> IO (())
set_LongDatePattern arg0 = invoke "set_LongDatePattern" (arg0)

get_LongTimePattern :: DateTimeFormatInfo obj -> IO (String)
get_LongTimePattern = invoke "get_LongTimePattern" () 

set_LongTimePattern :: String -> DateTimeFormatInfo obj -> IO (())
set_LongTimePattern arg0 = invoke "set_LongTimePattern" (arg0)

get_MonthDayPattern :: DateTimeFormatInfo obj -> IO (String)
get_MonthDayPattern = invoke "get_MonthDayPattern" () 

set_MonthDayPattern :: String -> DateTimeFormatInfo obj -> IO (())
set_MonthDayPattern arg0 = invoke "set_MonthDayPattern" (arg0)

get_PMDesignator :: DateTimeFormatInfo obj -> IO (String)
get_PMDesignator = invoke "get_PMDesignator" () 

set_PMDesignator :: String -> DateTimeFormatInfo obj -> IO (())
set_PMDesignator arg0 = invoke "set_PMDesignator" (arg0)

get_RFC1123Pattern :: DateTimeFormatInfo obj -> IO (String)
get_RFC1123Pattern = invoke "get_RFC1123Pattern" () 

get_ShortDatePattern :: DateTimeFormatInfo obj -> IO (String)
get_ShortDatePattern = invoke "get_ShortDatePattern" () 

set_ShortDatePattern :: String -> DateTimeFormatInfo obj -> IO (())
set_ShortDatePattern arg0 = invoke "set_ShortDatePattern" (arg0)

get_ShortTimePattern :: DateTimeFormatInfo obj -> IO (String)
get_ShortTimePattern = invoke "get_ShortTimePattern" () 

set_ShortTimePattern :: String -> DateTimeFormatInfo obj -> IO (())
set_ShortTimePattern arg0 = invoke "set_ShortTimePattern" (arg0)

get_SortableDateTimePattern :: DateTimeFormatInfo obj -> IO (String)
get_SortableDateTimePattern = invoke "get_SortableDateTimePattern" () 

get_TimeSeparator :: DateTimeFormatInfo obj -> IO (String)
get_TimeSeparator = invoke "get_TimeSeparator" () 

set_TimeSeparator :: String -> DateTimeFormatInfo obj -> IO (())
set_TimeSeparator arg0 = invoke "set_TimeSeparator" (arg0)

get_UniversalSortableDateTimePattern :: DateTimeFormatInfo obj -> IO (String)
get_UniversalSortableDateTimePattern = invoke "get_UniversalSortableDateTimePattern" () 

get_YearMonthPattern :: DateTimeFormatInfo obj -> IO (String)
get_YearMonthPattern = invoke "get_YearMonthPattern" () 

set_YearMonthPattern :: String -> DateTimeFormatInfo obj -> IO (())
set_YearMonthPattern arg0 = invoke "set_YearMonthPattern" (arg0)

get_AbbreviatedDayNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_AbbreviatedDayNames = invoke "get_AbbreviatedDayNames" () 

set_AbbreviatedDayNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_AbbreviatedDayNames arg0 = invoke "set_AbbreviatedDayNames" (arg0)

get_ShortestDayNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_ShortestDayNames = invoke "get_ShortestDayNames" () 

set_ShortestDayNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_ShortestDayNames arg0 = invoke "set_ShortestDayNames" (arg0)

get_DayNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_DayNames = invoke "get_DayNames" () 

set_DayNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_DayNames arg0 = invoke "set_DayNames" (arg0)

get_AbbreviatedMonthNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_AbbreviatedMonthNames = invoke "get_AbbreviatedMonthNames" () 

set_AbbreviatedMonthNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_AbbreviatedMonthNames arg0 = invoke "set_AbbreviatedMonthNames" (arg0)

get_MonthNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_MonthNames = invoke "get_MonthNames" () 

set_MonthNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_MonthNames arg0 = invoke "set_MonthNames" (arg0)

getAbbreviatedDayName :: NET.System.DayOfWeek.DayOfWeek a0 -> DateTimeFormatInfo obj -> IO (String)
getAbbreviatedDayName arg0 = invoke "GetAbbreviatedDayName" (arg0)

getShortestDayName :: NET.System.DayOfWeek.DayOfWeek a0 -> DateTimeFormatInfo obj -> IO (String)
getShortestDayName arg0 = invoke "GetShortestDayName" (arg0)

getAllDateTimePatterns :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
getAllDateTimePatterns = invoke "GetAllDateTimePatterns" () 

getDayName :: NET.System.DayOfWeek.DayOfWeek a0 -> DateTimeFormatInfo obj -> IO (String)
getDayName arg0 = invoke "GetDayName" (arg0)

getAbbreviatedMonthName :: Int -> DateTimeFormatInfo obj -> IO (String)
getAbbreviatedMonthName arg0 = invoke "GetAbbreviatedMonthName" (arg0)

getMonthName :: Int -> DateTimeFormatInfo obj -> IO (String)
getMonthName arg0 = invoke "GetMonthName" (arg0)

readOnly :: NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a0 -> IO (NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a1)
readOnly arg0 = invokeStatic "System.Globalization.DateTimeFormatInfo" "ReadOnly" (arg0)

get_IsReadOnly :: DateTimeFormatInfo obj -> IO (Bool)
get_IsReadOnly = invoke "get_IsReadOnly" () 

get_NativeCalendarName :: DateTimeFormatInfo obj -> IO (String)
get_NativeCalendarName = invoke "get_NativeCalendarName" () 

setAllDateTimePatterns :: NET.System.Array.Array (String) -> Char -> DateTimeFormatInfo obj -> IO (())
setAllDateTimePatterns arg0 arg1 = invoke "SetAllDateTimePatterns" (arg0, arg1)

get_AbbreviatedMonthGenitiveNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_AbbreviatedMonthGenitiveNames = invoke "get_AbbreviatedMonthGenitiveNames" () 

set_AbbreviatedMonthGenitiveNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_AbbreviatedMonthGenitiveNames arg0 = invoke "set_AbbreviatedMonthGenitiveNames" (arg0)

get_MonthGenitiveNames :: DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
get_MonthGenitiveNames = invoke "get_MonthGenitiveNames" () 

set_MonthGenitiveNames :: NET.System.Array.Array (String) -> DateTimeFormatInfo obj -> IO (())
set_MonthGenitiveNames arg0 = invoke "set_MonthGenitiveNames" (arg0)

get_CurrentInfo :: IO (NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a0)
get_CurrentInfo = invokeStatic "System.Globalization.DateTimeFormatInfo" "get_CurrentInfo" () 

getAllDateTimePatterns_1 :: Char -> DateTimeFormatInfo obj -> IO (NET.System.Array.Array (String))
getAllDateTimePatterns_1 arg0 = invoke "GetAllDateTimePatterns" (arg0)


