{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.IO.BinaryWriter ( module NET.System.IO.BinaryWriter ) where

import NET
import NET.System.IO.BinaryWriter.Type as NET.System.IO.BinaryWriter
import qualified NET.System.IO.Stream
import qualified NET.System.IO.SeekOrigin
import qualified Data.Int
import qualified Data.Word
import qualified NET.System.Array
import qualified NET.System.Decimal
import qualified NET.System.Object

close :: BinaryWriter obj -> IO (())
close = invoke "Close" () 

get_BaseStream :: BinaryWriter obj -> IO (NET.System.IO.Stream.Stream a0)
get_BaseStream = invoke "get_BaseStream" () 

flush :: BinaryWriter obj -> IO (())
flush = invoke "Flush" () 

seek :: Int -> NET.System.IO.SeekOrigin.SeekOrigin a1 -> BinaryWriter obj -> IO (Data.Int.Int64)
seek arg0 arg1 = invoke "Seek" (arg0, arg1)

write :: Bool -> BinaryWriter obj -> IO (())
write arg0 = invoke "Write" (arg0)

write_1 :: Data.Word.Word8 -> BinaryWriter obj -> IO (())
write_1 arg0 = invoke "Write" (arg0)

write_2 :: Data.Int.Int8 -> BinaryWriter obj -> IO (())
write_2 arg0 = invoke "Write" (arg0)

write_3 :: NET.System.Array.Array (Data.Word.Word8) -> BinaryWriter obj -> IO (())
write_3 arg0 = invoke "Write" (arg0)

write_4 :: NET.System.Array.Array (Data.Word.Word8) -> Int -> Int -> BinaryWriter obj -> IO (())
write_4 arg0 arg1 arg2 = invoke "Write" (arg0, arg1, arg2)

write_5 :: Char -> BinaryWriter obj -> IO (())
write_5 arg0 = invoke "Write" (arg0)

write_6 :: NET.System.Array.Array (Char) -> BinaryWriter obj -> IO (())
write_6 arg0 = invoke "Write" (arg0)

write_7 :: NET.System.Array.Array (Char) -> Int -> Int -> BinaryWriter obj -> IO (())
write_7 arg0 arg1 arg2 = invoke "Write" (arg0, arg1, arg2)

write_8 :: Double -> BinaryWriter obj -> IO (())
write_8 arg0 = invoke "Write" (arg0)

write_9 :: NET.System.Decimal.Decimal a0 -> BinaryWriter obj -> IO (())
write_9 arg0 = invoke "Write" (arg0)

write_10 :: Data.Int.Int16 -> BinaryWriter obj -> IO (())
write_10 arg0 = invoke "Write" (arg0)

write_11 :: Data.Word.Word16 -> BinaryWriter obj -> IO (())
write_11 arg0 = invoke "Write" (arg0)

write_12 :: Int -> BinaryWriter obj -> IO (())
write_12 arg0 = invoke "Write" (arg0)

write_13 :: Data.Word.Word32 -> BinaryWriter obj -> IO (())
write_13 arg0 = invoke "Write" (arg0)

write_14 :: Data.Int.Int64 -> BinaryWriter obj -> IO (())
write_14 arg0 = invoke "Write" (arg0)

write_15 :: Data.Word.Word64 -> BinaryWriter obj -> IO (())
write_15 arg0 = invoke "Write" (arg0)

write_16 :: Double -> BinaryWriter obj -> IO (())
write_16 arg0 = invoke "Write" (arg0)

write_17 :: String -> BinaryWriter obj -> IO (())
write_17 arg0 = invoke "Write" (arg0)

get_Null :: IO (NET.System.IO.BinaryWriter.BinaryWriter a0)
get_Null = getFieldStatic "System.IO.BinaryWriter" "Null" ()

