{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.IO.TextReader where

import NET
import qualified NET.System.Array
import qualified NET.System.MarshalByRefObject

data TextReader_ a
type TextReader a = NET.System.MarshalByRefObject.MarshalByRefObject (TextReader_ a)

close :: TextReader obj -> IO (())
close = invoke "Close" () 

dispose :: TextReader obj -> IO (())
dispose = invoke "Dispose" () 

peek :: TextReader obj -> IO (Int)
peek = invoke "Peek" () 

read :: TextReader obj -> IO (Int)
read = invoke "Read" () 

read_1 :: NET.System.Array.Array (Char) -> Int -> Int -> TextReader obj -> IO (Int)
read_1 arg0 arg1 arg2 = invoke "Read" (arg0, arg1, arg2)

readToEnd :: TextReader obj -> IO (String)
readToEnd = invoke "ReadToEnd" () 

readBlock :: NET.System.Array.Array (Char) -> Int -> Int -> TextReader obj -> IO (Int)
readBlock arg0 arg1 arg2 = invoke "ReadBlock" (arg0, arg1, arg2)

readLine :: TextReader obj -> IO (String)
readLine = invoke "ReadLine" () 

synchronized :: NET.System.IO.TextReader.TextReader a0 -> IO (NET.System.IO.TextReader.TextReader a1)
synchronized arg0 = invokeStatic "System.IO.TextReader" "Synchronized" (arg0)

get_Null :: IO (NET.System.IO.TextReader.TextReader a0)
get_Null = getFieldStatic "System.IO.TextReader" "Null" ()

