{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Type ( module NET.System.Type ) where

import NET
import NET.System.TypeTy as NET.System.Type

getType :: String -> IO (NET.System.Type.Type a1)
getType arg0 = invokeStatic "System.Type" "GetType" (arg0)

--getType :: Type obj -> IO (NET.System.Type.Type a0)
--getType = invoke "GetType" () 

{-
import qualified NET.System.Reflection.MemberTypes
import qualified NET.System.Reflection.MethodBase
import qualified NET.System.Runtime.InteropServices.StructLayoutAttribute
import qualified NET.System.Guid
import qualified NET.System.TypeCode
import qualified NET.System.Reflection.Binder
import qualified NET.System.Reflection.BindingFlags
import qualified NET.System.Object
import qualified NET.System.Array
import qualified NET.System.Reflection.ParameterModifier
import qualified NET.System.Globalization.CultureInfo
import qualified NET.System.Reflection.Module
import qualified NET.System.Reflection.Assembly
import qualified NET.System.RuntimeTypeHandle
import qualified NET.System.Reflection.CallingConventions
import qualified NET.System.Reflection.ConstructorInfo
import qualified NET.System.Reflection.MethodInfo
import qualified NET.System.Reflection.FieldInfo
import qualified NET.System.Reflection.TypeFilter
import qualified NET.System.Reflection.EventInfo
import qualified NET.System.Reflection.PropertyInfo
import qualified NET.System.Reflection.MemberInfo
import qualified NET.System.Reflection.MemberFilter
import qualified NET.System.Reflection.TypeAttributes
import qualified NET.System.Reflection.GenericParameterAttributes
import qualified NET.System.Reflection.InterfaceMapping

data Type_ a
type Type a = NET.System.Reflection.MemberInfo.MemberInfo (Type_ a)

get_MemberType :: Type obj -> IO (NET.System.Reflection.MemberTypes.MemberTypes a0)
get_MemberType = invoke "get_MemberType" () 

get_DeclaringType :: Type obj -> IO (NET.System.Type.Type a0)
get_DeclaringType = invoke "get_DeclaringType" () 

get_DeclaringMethod :: Type obj -> IO (NET.System.Reflection.MethodBase.MethodBase a0)
get_DeclaringMethod = invoke "get_DeclaringMethod" () 

get_ReflectedType :: Type obj -> IO (NET.System.Type.Type a0)
get_ReflectedType = invoke "get_ReflectedType" () 

getType :: Type obj -> IO (NET.System.Type.Type a0)
getType = invoke "GetType" () 

getType_1 :: String -> Bool -> Bool -> IO (NET.System.Type.Type a3)
getType_1 arg0 arg1 arg2 = invokeStatic "System.Type" "GetType" (arg0, arg1, arg2)

getType_2 :: String -> Bool -> IO (NET.System.Type.Type a2)
getType_2 arg0 arg1 = invokeStatic "System.Type" "GetType" (arg0, arg1)

getType_3 :: String -> IO (NET.System.Type.Type a1)
getType_3 arg0 = invokeStatic "System.Type" "GetType" (arg0)

reflectionOnlyGetType :: String -> Bool -> Bool -> IO (NET.System.Type.Type a3)
reflectionOnlyGetType arg0 arg1 arg2 = invokeStatic "System.Type" "ReflectionOnlyGetType" (arg0, arg1, arg2)

makePointerType :: Type obj -> IO (NET.System.Type.Type a0)
makePointerType = invoke "MakePointerType" () 

get_StructLayoutAttribute :: Type obj -> IO (NET.System.Runtime.InteropServices.StructLayoutAttribute.StructLayoutAttribute a0)
get_StructLayoutAttribute = invoke "get_StructLayoutAttribute" () 

makeByRefType :: Type obj -> IO (NET.System.Type.Type a0)
makeByRefType = invoke "MakeByRefType" () 

makeArrayType :: Type obj -> IO (NET.System.Type.Type a0)
makeArrayType = invoke "MakeArrayType" () 

makeArrayType_1 :: Int -> Type obj -> IO (NET.System.Type.Type a1)
makeArrayType_1 arg0 = invoke "MakeArrayType" (arg0)

getTypeFromProgID :: String -> IO (NET.System.Type.Type a1)
getTypeFromProgID arg0 = invokeStatic "System.Type" "GetTypeFromProgID" (arg0)

getTypeFromProgID_1 :: String -> Bool -> IO (NET.System.Type.Type a2)
getTypeFromProgID_1 arg0 arg1 = invokeStatic "System.Type" "GetTypeFromProgID" (arg0, arg1)

getTypeFromProgID_2 :: String -> String -> IO (NET.System.Type.Type a2)
getTypeFromProgID_2 arg0 arg1 = invokeStatic "System.Type" "GetTypeFromProgID" (arg0, arg1)

getTypeFromProgID_3 :: String -> String -> Bool -> IO (NET.System.Type.Type a3)
getTypeFromProgID_3 arg0 arg1 arg2 = invokeStatic "System.Type" "GetTypeFromProgID" (arg0, arg1, arg2)

getTypeFromCLSID :: NET.System.Guid.Guid a0 -> IO (NET.System.Type.Type a1)
getTypeFromCLSID arg0 = invokeStatic "System.Type" "GetTypeFromCLSID" (arg0)

getTypeFromCLSID_1 :: NET.System.Guid.Guid a0 -> Bool -> IO (NET.System.Type.Type a2)
getTypeFromCLSID_1 arg0 arg1 = invokeStatic "System.Type" "GetTypeFromCLSID" (arg0, arg1)

getTypeFromCLSID_2 :: NET.System.Guid.Guid a0 -> String -> IO (NET.System.Type.Type a2)
getTypeFromCLSID_2 arg0 arg1 = invokeStatic "System.Type" "GetTypeFromCLSID" (arg0, arg1)

getTypeFromCLSID_3 :: NET.System.Guid.Guid a0 -> String -> Bool -> IO (NET.System.Type.Type a3)
getTypeFromCLSID_3 arg0 arg1 arg2 = invokeStatic "System.Type" "GetTypeFromCLSID" (arg0, arg1, arg2)

getTypeCode :: NET.System.Type.Type a0 -> IO (NET.System.TypeCode.TypeCode a1)
getTypeCode arg0 = invokeStatic "System.Type" "GetTypeCode" (arg0)

get_GUID :: Type obj -> IO (NET.System.Guid.Guid a0)
get_GUID = invoke "get_GUID" () 

get_DefaultBinder :: IO (NET.System.Reflection.Binder.Binder a0)
get_DefaultBinder = invokeStatic "System.Type" "get_DefaultBinder" () 

invokeMember :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Object.Object a3 -> NET.System.Array.Array (NET.System.Object.Object a4) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a5) -> NET.System.Globalization.CultureInfo.CultureInfo a6 -> NET.System.Array.Array (String) -> Type obj -> IO (NET.System.Object.Object a8)
invokeMember arg0 arg1 arg2 arg3 arg4 arg5 arg6 arg7 = invoke "InvokeMember" (arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7)

invokeMember_1 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Object.Object a3 -> NET.System.Array.Array (NET.System.Object.Object a4) -> NET.System.Globalization.CultureInfo.CultureInfo a5 -> Type obj -> IO (NET.System.Object.Object a6)
invokeMember_1 arg0 arg1 arg2 arg3 arg4 arg5 = invoke "InvokeMember" (arg0, arg1, arg2, arg3, arg4, arg5)

invokeMember_2 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Object.Object a3 -> NET.System.Array.Array (NET.System.Object.Object a4) -> Type obj -> IO (NET.System.Object.Object a5)
invokeMember_2 arg0 arg1 arg2 arg3 arg4 = invoke "InvokeMember" (arg0, arg1, arg2, arg3, arg4)

get_Module :: Type obj -> IO (NET.System.Reflection.Module.Module a0)
get_Module = invoke "get_Module" () 

get_Assembly :: Type obj -> IO (NET.System.Reflection.Assembly.Assembly a0)
get_Assembly = invoke "get_Assembly" () 

get_TypeHandle :: Type obj -> IO (NET.System.RuntimeTypeHandle.RuntimeTypeHandle a0)
get_TypeHandle = invoke "get_TypeHandle" () 

getTypeHandle :: NET.System.Object.Object a0 -> IO (NET.System.RuntimeTypeHandle.RuntimeTypeHandle a1)
getTypeHandle arg0 = invokeStatic "System.Type" "GetTypeHandle" (arg0)

getTypeFromHandle :: NET.System.RuntimeTypeHandle.RuntimeTypeHandle a0 -> IO (NET.System.Type.Type a1)
getTypeFromHandle arg0 = invokeStatic "System.Type" "GetTypeFromHandle" (arg0)

get_FullName :: Type obj -> IO (String)
get_FullName = invoke "get_FullName" () 

get_Namespace :: Type obj -> IO (String)
get_Namespace = invoke "get_Namespace" () 

get_AssemblyQualifiedName :: Type obj -> IO (String)
get_AssemblyQualifiedName = invoke "get_AssemblyQualifiedName" () 

getArrayRank :: Type obj -> IO (Int)
getArrayRank = invoke "GetArrayRank" () 

get_BaseType :: Type obj -> IO (NET.System.Type.Type a0)
get_BaseType = invoke "get_BaseType" () 

getConstructor :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> NET.System.Reflection.Binder.Binder a1 -> NET.System.Reflection.CallingConventions.CallingConventions a2 -> NET.System.Array.Array (NET.System.Type.Type a3) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a4) -> Type obj -> IO (NET.System.Reflection.ConstructorInfo.ConstructorInfo a5)
getConstructor arg0 arg1 arg2 arg3 arg4 = invoke "GetConstructor" (arg0, arg1, arg2, arg3, arg4)

getConstructor_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> NET.System.Reflection.Binder.Binder a1 -> NET.System.Array.Array (NET.System.Type.Type a2) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a3) -> Type obj -> IO (NET.System.Reflection.ConstructorInfo.ConstructorInfo a4)
getConstructor_1 arg0 arg1 arg2 arg3 = invoke "GetConstructor" (arg0, arg1, arg2, arg3)

getConstructor_2 :: NET.System.Array.Array (NET.System.Type.Type a0) -> Type obj -> IO (NET.System.Reflection.ConstructorInfo.ConstructorInfo a1)
getConstructor_2 arg0 = invoke "GetConstructor" (arg0)

getConstructors :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.ConstructorInfo.ConstructorInfo a0))
getConstructors = invoke "GetConstructors" () 

getConstructors_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.ConstructorInfo.ConstructorInfo a1))
getConstructors_1 arg0 = invoke "GetConstructors" (arg0)

get_TypeInitializer :: Type obj -> IO (NET.System.Reflection.ConstructorInfo.ConstructorInfo a0)
get_TypeInitializer = invoke "get_TypeInitializer" () 

getMethod :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Reflection.CallingConventions.CallingConventions a3 -> NET.System.Array.Array (NET.System.Type.Type a4) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a5) -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a6)
getMethod arg0 arg1 arg2 arg3 arg4 arg5 = invoke "GetMethod" (arg0, arg1, arg2, arg3, arg4, arg5)

getMethod_1 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Array.Array (NET.System.Type.Type a3) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a4) -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a5)
getMethod_1 arg0 arg1 arg2 arg3 arg4 = invoke "GetMethod" (arg0, arg1, arg2, arg3, arg4)

getMethod_2 :: String -> NET.System.Array.Array (NET.System.Type.Type a1) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a2) -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a3)
getMethod_2 arg0 arg1 arg2 = invoke "GetMethod" (arg0, arg1, arg2)

getMethod_3 :: String -> NET.System.Array.Array (NET.System.Type.Type a1) -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a2)
getMethod_3 arg0 arg1 = invoke "GetMethod" (arg0, arg1)

getMethod_4 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a2)
getMethod_4 arg0 arg1 = invoke "GetMethod" (arg0, arg1)

getMethod_5 :: String -> Type obj -> IO (NET.System.Reflection.MethodInfo.MethodInfo a1)
getMethod_5 arg0 = invoke "GetMethod" (arg0)

getMethods :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MethodInfo.MethodInfo a0))
getMethods = invoke "GetMethods" () 

getMethods_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MethodInfo.MethodInfo a1))
getMethods_1 arg0 = invoke "GetMethods" (arg0)

getField :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Reflection.FieldInfo.FieldInfo a2)
getField arg0 arg1 = invoke "GetField" (arg0, arg1)

getField_1 :: String -> Type obj -> IO (NET.System.Reflection.FieldInfo.FieldInfo a1)
getField_1 arg0 = invoke "GetField" (arg0)

getFields :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.FieldInfo.FieldInfo a0))
getFields = invoke "GetFields" () 

getFields_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.FieldInfo.FieldInfo a1))
getFields_1 arg0 = invoke "GetFields" (arg0)

getInterface :: String -> Type obj -> IO (NET.System.Type.Type a1)
getInterface arg0 = invoke "GetInterface" (arg0)

getInterface_1 :: String -> Bool -> Type obj -> IO (NET.System.Type.Type a2)
getInterface_1 arg0 arg1 = invoke "GetInterface" (arg0, arg1)

getInterfaces :: Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a0))
getInterfaces = invoke "GetInterfaces" () 

findInterfaces :: NET.System.Reflection.TypeFilter.TypeFilter a0 -> NET.System.Object.Object a1 -> Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a2))
findInterfaces arg0 arg1 = invoke "FindInterfaces" (arg0, arg1)

getEvent :: String -> Type obj -> IO (NET.System.Reflection.EventInfo.EventInfo a1)
getEvent arg0 = invoke "GetEvent" (arg0)

getEvent_1 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Reflection.EventInfo.EventInfo a2)
getEvent_1 arg0 arg1 = invoke "GetEvent" (arg0, arg1)

getEvents :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.EventInfo.EventInfo a0))
getEvents = invoke "GetEvents" () 

getEvents_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.EventInfo.EventInfo a1))
getEvents_1 arg0 = invoke "GetEvents" (arg0)

getProperty :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.Binder.Binder a2 -> NET.System.Type.Type a3 -> NET.System.Array.Array (NET.System.Type.Type a4) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a5) -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a6)
getProperty arg0 arg1 arg2 arg3 arg4 arg5 = invoke "GetProperty" (arg0, arg1, arg2, arg3, arg4, arg5)

getProperty_1 :: String -> NET.System.Type.Type a1 -> NET.System.Array.Array (NET.System.Type.Type a2) -> NET.System.Array.Array (NET.System.Reflection.ParameterModifier.ParameterModifier a3) -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a4)
getProperty_1 arg0 arg1 arg2 arg3 = invoke "GetProperty" (arg0, arg1, arg2, arg3)

getProperty_2 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a2)
getProperty_2 arg0 arg1 = invoke "GetProperty" (arg0, arg1)

getProperty_3 :: String -> NET.System.Type.Type a1 -> NET.System.Array.Array (NET.System.Type.Type a2) -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a3)
getProperty_3 arg0 arg1 arg2 = invoke "GetProperty" (arg0, arg1, arg2)

getProperty_4 :: String -> NET.System.Array.Array (NET.System.Type.Type a1) -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a2)
getProperty_4 arg0 arg1 = invoke "GetProperty" (arg0, arg1)

getProperty_5 :: String -> NET.System.Type.Type a1 -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a2)
getProperty_5 arg0 arg1 = invoke "GetProperty" (arg0, arg1)

getProperty_6 :: String -> Type obj -> IO (NET.System.Reflection.PropertyInfo.PropertyInfo a1)
getProperty_6 arg0 = invoke "GetProperty" (arg0)

getProperties :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.PropertyInfo.PropertyInfo a1))
getProperties arg0 = invoke "GetProperties" (arg0)

getProperties_1 :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.PropertyInfo.PropertyInfo a0))
getProperties_1 = invoke "GetProperties" () 

getNestedTypes :: Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a0))
getNestedTypes = invoke "GetNestedTypes" () 

getNestedTypes_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a1))
getNestedTypes_1 arg0 = invoke "GetNestedTypes" (arg0)

getNestedType :: String -> Type obj -> IO (NET.System.Type.Type a1)
getNestedType arg0 = invoke "GetNestedType" (arg0)

getNestedType_1 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Type.Type a2)
getNestedType_1 arg0 arg1 = invoke "GetNestedType" (arg0, arg1)

getMember :: String -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a1))
getMember arg0 = invoke "GetMember" (arg0)

getMember_1 :: String -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a2))
getMember_1 arg0 arg1 = invoke "GetMember" (arg0, arg1)

getMember_2 :: String -> NET.System.Reflection.MemberTypes.MemberTypes a1 -> NET.System.Reflection.BindingFlags.BindingFlags a2 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a3))
getMember_2 arg0 arg1 arg2 = invoke "GetMember" (arg0, arg1, arg2)

getMembers :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a0))
getMembers = invoke "GetMembers" () 

getMembers_1 :: NET.System.Reflection.BindingFlags.BindingFlags a0 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a1))
getMembers_1 arg0 = invoke "GetMembers" (arg0)

getDefaultMembers :: Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a0))
getDefaultMembers = invoke "GetDefaultMembers" () 

findMembers :: NET.System.Reflection.MemberTypes.MemberTypes a0 -> NET.System.Reflection.BindingFlags.BindingFlags a1 -> NET.System.Reflection.MemberFilter.MemberFilter a2 -> NET.System.Object.Object a3 -> Type obj -> IO (NET.System.Array.Array (NET.System.Reflection.MemberInfo.MemberInfo a4))
findMembers arg0 arg1 arg2 arg3 = invoke "FindMembers" (arg0, arg1, arg2, arg3)

get_IsNested :: Type obj -> IO (Bool)
get_IsNested = invoke "get_IsNested" () 

get_Attributes :: Type obj -> IO (NET.System.Reflection.TypeAttributes.TypeAttributes a0)
get_Attributes = invoke "get_Attributes" () 

get_GenericParameterAttributes :: Type obj -> IO (NET.System.Reflection.GenericParameterAttributes.GenericParameterAttributes a0)
get_GenericParameterAttributes = invoke "get_GenericParameterAttributes" () 

get_IsVisible :: Type obj -> IO (Bool)
get_IsVisible = invoke "get_IsVisible" () 

get_IsNotPublic :: Type obj -> IO (Bool)
get_IsNotPublic = invoke "get_IsNotPublic" () 

get_IsPublic :: Type obj -> IO (Bool)
get_IsPublic = invoke "get_IsPublic" () 

get_IsNestedPublic :: Type obj -> IO (Bool)
get_IsNestedPublic = invoke "get_IsNestedPublic" () 

get_IsNestedPrivate :: Type obj -> IO (Bool)
get_IsNestedPrivate = invoke "get_IsNestedPrivate" () 

get_IsNestedFamily :: Type obj -> IO (Bool)
get_IsNestedFamily = invoke "get_IsNestedFamily" () 

get_IsNestedAssembly :: Type obj -> IO (Bool)
get_IsNestedAssembly = invoke "get_IsNestedAssembly" () 

get_IsNestedFamANDAssem :: Type obj -> IO (Bool)
get_IsNestedFamANDAssem = invoke "get_IsNestedFamANDAssem" () 

get_IsNestedFamORAssem :: Type obj -> IO (Bool)
get_IsNestedFamORAssem = invoke "get_IsNestedFamORAssem" () 

get_IsAutoLayout :: Type obj -> IO (Bool)
get_IsAutoLayout = invoke "get_IsAutoLayout" () 

get_IsLayoutSequential :: Type obj -> IO (Bool)
get_IsLayoutSequential = invoke "get_IsLayoutSequential" () 

get_IsExplicitLayout :: Type obj -> IO (Bool)
get_IsExplicitLayout = invoke "get_IsExplicitLayout" () 

get_IsClass :: Type obj -> IO (Bool)
get_IsClass = invoke "get_IsClass" () 

get_IsInterface :: Type obj -> IO (Bool)
get_IsInterface = invoke "get_IsInterface" () 

get_IsValueType :: Type obj -> IO (Bool)
get_IsValueType = invoke "get_IsValueType" () 

get_IsAbstract :: Type obj -> IO (Bool)
get_IsAbstract = invoke "get_IsAbstract" () 

get_IsSealed :: Type obj -> IO (Bool)
get_IsSealed = invoke "get_IsSealed" () 

get_IsEnum :: Type obj -> IO (Bool)
get_IsEnum = invoke "get_IsEnum" () 

get_IsSpecialName :: Type obj -> IO (Bool)
get_IsSpecialName = invoke "get_IsSpecialName" () 

get_IsImport :: Type obj -> IO (Bool)
get_IsImport = invoke "get_IsImport" () 

get_IsSerializable :: Type obj -> IO (Bool)
get_IsSerializable = invoke "get_IsSerializable" () 

get_IsAnsiClass :: Type obj -> IO (Bool)
get_IsAnsiClass = invoke "get_IsAnsiClass" () 

get_IsUnicodeClass :: Type obj -> IO (Bool)
get_IsUnicodeClass = invoke "get_IsUnicodeClass" () 

get_IsAutoClass :: Type obj -> IO (Bool)
get_IsAutoClass = invoke "get_IsAutoClass" () 

get_IsArray :: Type obj -> IO (Bool)
get_IsArray = invoke "get_IsArray" () 

get_IsGenericType :: Type obj -> IO (Bool)
get_IsGenericType = invoke "get_IsGenericType" () 

get_IsGenericTypeDefinition :: Type obj -> IO (Bool)
get_IsGenericTypeDefinition = invoke "get_IsGenericTypeDefinition" () 

get_IsGenericParameter :: Type obj -> IO (Bool)
get_IsGenericParameter = invoke "get_IsGenericParameter" () 

get_GenericParameterPosition :: Type obj -> IO (Int)
get_GenericParameterPosition = invoke "get_GenericParameterPosition" () 

get_ContainsGenericParameters :: Type obj -> IO (Bool)
get_ContainsGenericParameters = invoke "get_ContainsGenericParameters" () 

getGenericParameterConstraints :: Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a0))
getGenericParameterConstraints = invoke "GetGenericParameterConstraints" () 

get_IsByRef :: Type obj -> IO (Bool)
get_IsByRef = invoke "get_IsByRef" () 

get_IsPointer :: Type obj -> IO (Bool)
get_IsPointer = invoke "get_IsPointer" () 

get_IsPrimitive :: Type obj -> IO (Bool)
get_IsPrimitive = invoke "get_IsPrimitive" () 

get_IsCOMObject :: Type obj -> IO (Bool)
get_IsCOMObject = invoke "get_IsCOMObject" () 

get_HasElementType :: Type obj -> IO (Bool)
get_HasElementType = invoke "get_HasElementType" () 

get_IsContextful :: Type obj -> IO (Bool)
get_IsContextful = invoke "get_IsContextful" () 

get_IsMarshalByRef :: Type obj -> IO (Bool)
get_IsMarshalByRef = invoke "get_IsMarshalByRef" () 

makeGenericType :: NET.System.Array.Array (NET.System.Type.Type a0) -> Type obj -> IO (NET.System.Type.Type a1)
makeGenericType arg0 = invoke "MakeGenericType" (arg0)

getElementType :: Type obj -> IO (NET.System.Type.Type a0)
getElementType = invoke "GetElementType" () 

getGenericArguments :: Type obj -> IO (NET.System.Array.Array (NET.System.Type.Type a0))
getGenericArguments = invoke "GetGenericArguments" () 

getGenericTypeDefinition :: Type obj -> IO (NET.System.Type.Type a0)
getGenericTypeDefinition = invoke "GetGenericTypeDefinition" () 

get_UnderlyingSystemType :: Type obj -> IO (NET.System.Type.Type a0)
get_UnderlyingSystemType = invoke "get_UnderlyingSystemType" () 

isSubclassOf :: NET.System.Type.Type a0 -> Type obj -> IO (Bool)
isSubclassOf arg0 = invoke "IsSubclassOf" (arg0)

isInstanceOfType :: NET.System.Object.Object a0 -> Type obj -> IO (Bool)
isInstanceOfType arg0 = invoke "IsInstanceOfType" (arg0)

isAssignableFrom :: NET.System.Type.Type a0 -> Type obj -> IO (Bool)
isAssignableFrom arg0 = invoke "IsAssignableFrom" (arg0)

toString :: Type obj -> IO (String)
toString = invoke "ToString" () 

getTypeArray :: NET.System.Array.Array (NET.System.Object.Object a0) -> IO (NET.System.Array.Array (NET.System.Type.Type a1))
getTypeArray arg0 = invokeStatic "System.Type" "GetTypeArray" (arg0)

equals :: NET.System.Object.Object a0 -> Type obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

equals_1 :: NET.System.Type.Type a0 -> Type obj -> IO (Bool)
equals_1 arg0 = invoke "Equals" (arg0)

getHashCode :: Type obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

getInterfaceMap :: NET.System.Type.Type a0 -> Type obj -> IO (NET.System.Reflection.InterfaceMapping.InterfaceMapping a1)
getInterfaceMap arg0 = invoke "GetInterfaceMap" (arg0)

get_FilterAttribute :: IO (NET.System.Reflection.MemberFilter.MemberFilter a0)
get_FilterAttribute = getFieldStatic "System.Type" "FilterAttribute" ()
get_FilterName :: IO (NET.System.Reflection.MemberFilter.MemberFilter a0)
get_FilterName = getFieldStatic "System.Type" "FilterName" ()
get_FilterNameIgnoreCase :: IO (NET.System.Reflection.MemberFilter.MemberFilter a0)
get_FilterNameIgnoreCase = getFieldStatic "System.Type" "FilterNameIgnoreCase" ()
get_Missing :: IO (NET.System.Object.Object a0)
get_Missing = getFieldStatic "System.Type" "Missing" ()
get_Delimiter :: IO (Char)
get_Delimiter = getFieldStatic "System.Type" "Delimiter" ()
get_EmptyTypes :: IO (NET.System.Array.Array (NET.System.Type.Type a0))
get_EmptyTypes = getFieldStatic "System.Type" "EmptyTypes" ()

-}
