{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.UriPartial where

import NET
import qualified System.IO.Unsafe
import qualified NET.System.Type
import qualified NET.System.Enum

data UriPartial_ a
type UriPartial a = NET.System.Enum.Enum (UriPartial_ a)

data UriPartialTy
 = Scheme
 | Authority
 | Path
 | Query
  deriving ( Enum, Show, Read )
toUriPartial :: UriPartialTy -> UriPartial ()
toUriPartial tag = System.IO.Unsafe.unsafePerformIO (NET.System.Enum.parse (System.IO.Unsafe.unsafePerformIO (NET.System.Type.getType "System.UriPartial, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")) (show tag))

fromUriPartial :: UriPartial () -> UriPartialTy
fromUriPartial obj = read(show obj)

